OORQO API
Campaigns

Update a campaign

Only draft and paused campaigns can be edited; any other status is `409 invalid_state`.

PATCH
/v1/campaigns/{id}

Only draft and paused campaigns can be edited; any other status is 409 invalid_state.

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Request Body

application/json
  1. body
name?string
Lengthlength <= 200
channel?"whatsapp"
Value in"whatsapp"
audience_type?string
Value in"segment""contact_list""tag""csv"
audience_ref?string|null
template?array<string>|null
payload?array<string>|null
schedule_at?|
Formatdate-time
timezone?|
Lengthlength <= 64

Response Body

Campaign

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://app.orqo.site/api/v1/campaigns/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": 0,    "name": "string",    "channel": "string",    "status": "string",    "audience_type": "string",    "audience_ref": "string",    "template": [      null    ],    "payload": [      null    ],    "schedule_at": "string",    "timezone": "string",    "stats": {      "total": 0,      "queued": 0,      "sent": 0,      "delivered": 0,      "read": 0,      "failed": 0    },    "created_at": "string",    "updated_at": "string"  }}